﻿using SharpRss.Models;
using ToolQit;

namespace WebSharpRSS.Models
{
    public class FeedItemData : FeedItemModel
    {
        public FeedItemData()
        {
            FaviconUrl = string.Format(Caretaker.Settings["Paths"].GetString("FaviconResolveUrl"), Link.Remove(Link.IndexOf("http", StringComparison.Ordinal), Link.IndexOf("://", StringComparison.Ordinal) + 3));
        }
        public static FeedItemData? FromModel(FeedItemModel model) => Utilities.ConvertFrom<FeedItemData, FeedItemModel>(model);
        public string HexColor { get; set; }
        public string FaviconUrl { get; set; }
    }
}
